% Bunn 20x20
% 30 til bakplate
% center hull
%



clear;

odBr = 135.5;
odD = 50;
ytterHullKortAvstand = 43.5;
ytterHullKortAvstandTilFront = 4;
ytterHullKortAvstandTilBak = odD - ytterHullKortAvstandTilFront - ytterHullKortAvstand;
bunnHullTilBakPlate = 30;
odTilBakplate = 1;

skruKjott = 3 + 3*2;


% Bunnplate rundt skrue bunn
vG1 = voxBox(20 + 6*2, skruKjott, 12.5-3, 'voxSize', 0.2);

% Skruhull
vG2 = voxRod(3.2/2, 12.5-3, 'voxSize', 0.2);
vG2 = voxLinPattern(vG2, [2 1 1], [20 1 1], 'voxSize', 0.2);

% Trekke fra skruhull
vG3 = voxDifference(vG1, vG2, [0 0 0], 'ccc', 'ccc', 'voxSize', 0.2);

%%%%%%%%%%%

vG4 = voxRod((skruKjott)/2, 12, 'voxSize', 0.2);
vG4h = voxRod((2.8)/2, 12, 'voxSize', 0.2);
vG4 = voxDifference(vG4, vG4h, [0 0 0], 'ccc', 'ccc');
vG4 = voxLinPattern(vG4, [2 1 1], [ytterHullKortAvstand 1 1], 'voxSize', 0.2);


fig1;plotVg(vG4,'dark', 'edgeOff');

% Sum
vG5 = voxUnion(vG3, vG4, [0 50-26 0], 'bbb', 'bbb', 'voxSize', 0.2);

fig1;plotVg(vG5,'dark', 'edgeOff');




vox2stl(vG10, '1.stl', 0.2, 'smooth', 2);
